summaryrefslogtreecommitdiffstats
path: root/scripts/pm-utils
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/pm-utils')
-rwxr-xr-xscripts/pm-utils26
1 files changed, 26 insertions, 0 deletions
diff --git a/scripts/pm-utils b/scripts/pm-utils
new file mode 100755
index 0000000..311851f
--- /dev/null
+++ b/scripts/pm-utils
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+. /usr/lib/pm-utils/functions
+
+suspend_netcfg() {
+ netcfg all-suspend
+}
+
+resume_netcfg() {
+ netcfg all-resume
+}
+
+if [ -x /usr/bin/netcfg ]; then
+ case "$1" in
+ hibernate|suspend)
+ suspend_netcfg
+ ;;
+ thaw|resume)
+ resume_netcfg
+ ;;
+ *)
+ ;;
+ esac
+fi
+
+exit $?